The POS Closing Entry Detail object
Attributes
Unique identifier for the object.
Default: 0
{
"id": "p-o-s-closing-entry-detail_abc123",
"idx": 1,
"pos_closing_entry_id": "pos_closing_entry_id_example",
"mode_of_payment": "mode_of_payment_example",
"expected_amount": 0,
"difference": 0,
"opening_amount": 0,
"closing_amount": 0
} /api/accounts/p-o-s-closing-entry-detail?parent_id={id} List pos closing entry details by parent
Returns all pos closing entry details belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of pos closing entry detail objects belonging to the parent.
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry-detail?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "p-o-s-closing-entry-detail_abc123",
"idx": 1,
"pos_closing_entry_id": "pos_closing_entry_id_example",
"mode_of_payment": "mode_of_payment_example",
"expected_amount": 0,
"difference": 0,
"opening_amount": 0,
"closing_amount": 0
}
],
"has_more": false,
"total": 1
} /api/accounts/p-o-s-closing-entry-detail Create a pos closing entry detail
Creates a new pos closing entry detail object.
Body parameters
Default: 0
Returns
Returns the newly created pos closing entry detail object if the call succeeded.
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry-detail \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"pos_closing_entry_id":"pos_closing_entry_id_example","mode_of_payment":"mode_of_payment_example","opening_amount":0}' {
"id": "p-o-s-closing-entry-detail_abc123",
"idx": 1,
"pos_closing_entry_id": "pos_closing_entry_id_example",
"mode_of_payment": "mode_of_payment_example",
"expected_amount": 0,
"difference": 0,
"opening_amount": 0,
"closing_amount": 0
} /api/accounts/p-o-s-closing-entry-detail/{id} Update a pos closing entry detail
Updates the specified pos closing entry detail by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the pos closing entry detail to update.
Body parameters
Default: 0
Returns
Returns the updated pos closing entry detail object.
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry-detail/p-o-s-closing-entry-detail_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"pos_closing_entry_id":"pos_closing_entry_id_example"}' {
"id": "p-o-s-closing-entry-detail_abc123",
"idx": 1,
"pos_closing_entry_id": "pos_closing_entry_id_example",
"mode_of_payment": "mode_of_payment_example",
"expected_amount": 0,
"difference": 0,
"opening_amount": 0,
"closing_amount": 0
} /api/accounts/p-o-s-closing-entry-detail/{id} Delete a pos closing entry detail
Permanently deletes a pos closing entry detail. This cannot be undone.
Path parameters
The identifier of the pos closing entry detail to delete.
Returns
Returns a confirmation that the pos closing entry detail has been deleted.
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry-detail/p-o-s-closing-entry-detail_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "p-o-s-closing-entry-detail_abc123",
"deleted": true
} /api/accounts/p-o-s-closing-entry-detail/reorder Reorder pos closing entry details
Updates the sort order of pos closing entry details within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/accounts/p-o-s-closing-entry-detail/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "p-o-s-closing-entry-detail_abc123",
"idx": 1,
"pos_closing_entry_id": "pos_closing_entry_id_example",
"mode_of_payment": "mode_of_payment_example",
"expected_amount": 0,
"difference": 0,
"opening_amount": 0,
"closing_amount": 0
}